package sssss.config.dbConfig;

import java.io.InputStream;

import javax.annotation.Resource;
import org.apache.commons.io.FileUtils;
import java.io.File;

import org.springframework.boot.CommandLineRunner;
import org.springframework.core.io.ClassPathResource;
import org.springframework.stereotype.Component;



@Component
public class MyCommandLineRunner implements CommandLineRunner {

	@Resource
	private JdbcTemplateDao jdbcTemplateDao;
 /**实例化表，初始化之后记得注释此代码*/	
	@Override
	public void run(String... args) throws Exception {
		ClassPathResource initTableResource = new ClassPathResource("initSql");
		File f = initTableResource.getFile();
		if(f.exists()&&f.isDirectory()) {
			for (File f1  : f.listFiles()) {
				String str = FileUtils.readFileToString(f1);
				jdbcTemplateDao.executeSql(str);
			}
			}
		}
	}
